import { createApp } from 'vue'
import './style.css'

import { isElectron } from '@/utils/electron'

if (isElectron()) {
  import('./electron.css')
}

import ArcoVue from '@arco-design/web-vue'
import '@arco-themes/vue-mengtu/index.less'

import ArcoVueIcon from '@arco-design/web-vue/es/icon'

import App from './App.vue'
import { router } from './router/'
import { createPinia } from 'pinia'
import globalComponents from '@/components'

const app = createApp(App)
app.use(ArcoVue).use(ArcoVueIcon).use(router).use(createPinia()).use(globalComponents).mount('#app')
